package ifs.example.csp;

import ifs.model.*;

/**
 * CSP value.
 * 
 * @author <a href="mailto:muller@ktiml.mff.cuni.cz">Tomas Muller</a>
 * @version 1.0
 */
public class CSPValue extends Value {
    /**
     * Constructor
     * @param variable parent variable
     * @param value value (an integer between 0 .. number of values - 1 )
     */
    public CSPValue(Variable variable, int value) {
        super(variable, value);
    }
    
    public String getName() { return String.valueOf(toInt()); }
}
